# Awesome Ollama
a list of tools and frameworks you can use with [Ollama](https://github.com/ollama/ollama)

inspired by [Awesome Python](https://github.com/vinta/awesome-python)

- [Awesome Ollama](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#awesome-ollama)
    - [Web & Desktop & Mobile UIs](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#web--desktop-uis)
    - [Mobile Apps](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#mobile-apps)
    - [Terminal](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#terminal)
    - [Databases](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#databases)
    - [Package Manager](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#package-manager)
    - [Libraries](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#libraries)
    - [Extensions & Plugins](https://github.com/endo9000/awesome-ollama?tab=readme-ov-file#extensions-plugins)

## Web & Desktop UIs
|Name/Link|  Description | Install Type |
|--|--|--|
|  [Open Webui](https://github.com/open-webui/open-webui) | Open Source :heavy_check_mark: <br /> Image To text :heavy_check_mark: <br /> Multi Model Chats :heavy_check_mark: <br /> | Docker <br /> npm |
|  [LLM-X](https://github.com/mrdjohnson/llm-x) | Works without installing :heavy_check_mark: <br /> Open Source :heavy_check_mark: <br /> Image To text :heavy_check_mark: <br /> | [Website](https://mrdjohnson.github.io/llm-x/) <br /> npm |
|  [Ollama Grid Search](https://github.com/dezoito/ollama-grid-search) | | Desktop <br/> rust+npm |
|  [Ollama-chats RPG](https://github.com/drazdra/ollama-chats) | | local-server |
|  [Enchanted](https://github.com/AugustDev/enchanted) | Mac OS native :heavy_check_mark: <br /> | Mac OS Native |
|  [BionicGPT](https://github.com/bionic-gpt/bionic-gpt) | | Docker <br /> Curl |
|  [Ollamac](https://github.com/kevinhermawan/Ollamac) | | Download |
|  [Amica](https://github.com/semperai/amica) | | npm |
|  [chatd](https://github.com/BruceMacD/chatd) | | npm <br /> Download |
|  [MindMac](https://mindmac.app/) | | Download |
|  [LibreChat](https://github.com/danny-avila/LibreChat) | | Docker <br /> npm|
|  [HTML UI](https://github.com/ollama-ui/ollama-ui) | | [Website](https://ollama-ui.github.io/ollama-ui/) <br /> [Chrome extension](https://chrome.google.com/webstore/detail/ollama-ui/cmgdpmlhgjhoadnonobjeekmfcehffco)|
|  [Saddle](https://github.com/jikkuatwork/saddle) | | local-server |
|  [Chatbot UI](https://github.com/ivanfioravanti/chatbot-ollama) | | Docker <br /> npm |
|  [Chatbot UI v2](https://github.com/mckaywrigley/chatbot-ui) | | [Website](https://www.chatbotui.com/) <br /> npm |
|  [Typescript UI](https://github.com/ollama-interface/Ollama-Gui) | | [Website](https://ollama.twanluttik.com/) <br /> npm |
|  [Minimalistic React UI for Ollama Models](https://github.com/richawo/minimal-llm-ui) | | npm |
|  [big-AGI](https://github.com/enricoros/big-AGI) | | npm |
|  [Cheshire Cat assistant framework](https://github.com/cheshire-cat-ai/core) | | Docker |
|  [Ollama-SwiftUI](https://github.com/kghandour/Ollama-SwiftUI) | | Download |
|  [Dify.AI](https://github.com/langgenius/dify) | | [Website](https://dify.ai/) <br /> Docker |
|  [Lollms-Webui](https://github.com/ParisNeo/lollms-webui) | Text to image :heavy_check_mark: <br /> Text to video :heavy_check_mark: <br /> Text to music :heavy_check_mark: <br /> | Download |
|  [NextJS Web Interface for Ollama](https://github.com/jakobhoeg/nextjs-ollama-llm-ui) | | npm |
|  [Alpaca WebUI](https://github.com/mmo80/alpaca-webui) | | npm |
|  [OllamaGUI](https://github.com/enoch1118/ollamaGUI) | | cocoapods |
|  [Odin Runes](https://github.com/leonid20000/OdinRunes) | | maven + java |
|  [Ollama Basic Chat](https://github.com/rapidarchitect/ollama_basic_chat) | | python |
|  [QA-Pilot: Chat with Code Repository](https://github.com/reid41/QA-Pilot) | | python <br /> streamlit |
|  [ChatOllama](https://github.com/sugarforever/chat-ollama) | | npm |
|  [CRAG Ollama Chat](https://github.com/Nagi-ovo/CRAG-Ollama-Chat) | | streamlit |
|  [RAGFlow](https://github.com/infiniflow/ragflow) | | [Website](https://ragflow.io/) <br /> docker <br /> local-server |
|  [chat: chat web app for teams](https://github.com/swuecho/chat) | |
|  [Lobe Chat](https://github.com/lobehub/lobe-chat) | |
|  [Ollama RAG Chatbot](https://github.com/datvodinh/rag-chatbot) | |
|  [Msty](https://msty.app/) | |
|  [Chatbox](https://github.com/Bin-Huang/Chatbox) | |
|  [WinForm Ollama Copilot](https://github.com/tgraupmann/WinForm_Ollama_Copilot) | |
|  [macai](https://github.com/Renset/macai) | |
|  [Fusion Quill](https://FusionQuill.AI) | |
|  [BrainSoup](https://www.nurgo-software.com/products/brainsoup) | |
|  [BoltAI](https://boltai.com) | |
|  [Ollama4j](https://github.com/ollama4j/ollama4j-web-ui) | |

## Mobile Apps
## Terminal
## Databases
## Package Manager
## Libraries
## Extensions & Plugins
